Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP_Message_State.h File Reference

`#include "tao/GIOP_Message_Version.h"`

Include dependency graph for GIOP_Message_State.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_GIOP_Message_State
| Generic definitions for Message States. More...
## Variables
const size_t | TAO_GIOP_MESSAGE_HEADER_LEN = 12
const size_t | TAO_GIOP_MESSAGE_SIZE_OFFSET = 8
const size_t | TAO_GIOP_MESSAGE_FLAGS_OFFSET = 6
const size_t | TAO_GIOP_MESSAGE_TYPE_OFFSET = 7
const size_t | TAO_GIOP_VERSION_MINOR_OFFSET = 5
const size_t | TAO_GIOP_VERSION_MAJOR_OFFSET = 4
const size_t | TAO_GIOP_MESSAGE_FRAGMENT_HEADER = 4

## Detailed Description

Id:
  GIOP_Message_State.h,v 1.14 2003/12/14 16:03:48 bala Exp

GIOP utility definitions

Author:
  Chris Cleeland <cleeland@cs.wustl.edu> , Carlos O' Ryan <coryan@uci.edu> , modified by Balachandran Natarajan <bala@cs.wustl.edu>

## Variable Documentation

const size_t TAO_GIOP_MESSAGE_FLAGS_OFFSET = 6

const size_t TAO_GIOP_MESSAGE_FRAGMENT_HEADER = 4

const size_t TAO_GIOP_MESSAGE_HEADER_LEN = 12

const size_t TAO_GIOP_MESSAGE_SIZE_OFFSET = 8

const size_t TAO_GIOP_MESSAGE_TYPE_OFFSET = 7

const size_t TAO_GIOP_VERSION_MAJOR_OFFSET = 4

const size_t TAO_GIOP_VERSION_MINOR_OFFSET = 5